Open App

Reviews

API endpoints for reviews

List reviews

GET /api/v1/reviews

Parameters

NameInTypeRequiredDescription
datequerystringNoYYYY-MM-DD
typequerystring (daily, weekly, monthly, quarterly, annual)No

Example request

curl -X GET \
"https://api.usemonoid.com/api/v1/reviews?date=<date>&type=<type>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "string",
      "userId": "string",
      "date": "string",
      "type": "daily",
      "wakeTime": "string",
      "sleepTime": "string",
      "updatedAt": 0
    }
  ]
}

Other statuses: 401, 403.

Response body type

{ data: Review[] }


Create review

POST /api/v1/reviews

Example request

curl -X POST \
"https://api.usemonoid.com/api/v1/reviews" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"date":"2025-01-15","type":"daily","wakeTime":"string","sleepTime":"string"}'

Example response

Status: 201

{
  "data": {
    "_id": "string",
    "userId": "string",
    "date": "string",
    "type": "daily",
    "wakeTime": "string",
    "sleepTime": "string",
    "updatedAt": 0
  }
}

Other statuses: 400, 401, 403, 500.

Response body type

{ data: Review }


Get review by id

GET /api/v1/reviews/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesPath parameter.

Example request

curl -X GET \
"https://api.usemonoid.com/api/v1/reviews/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "userId": "string",
    "date": "string",
    "type": "daily",
    "wakeTime": "string",
    "sleepTime": "string",
    "updatedAt": 0
  }
}

Other statuses: 401, 403, 404.

Response body type

{ data: Review }


Update review

PATCH /api/v1/reviews/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesPath parameter.

Example request

curl -X PATCH \
"https://api.usemonoid.com/api/v1/reviews/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"wakeTime":"string","sleepTime":"string"}'

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "userId": "string",
    "date": "string",
    "type": "daily",
    "wakeTime": "string",
    "sleepTime": "string",
    "updatedAt": 0
  }
}

Other statuses: 400, 401, 403, 404, 500.

Response body type

{ data: Review }


Delete review

DELETE /api/v1/reviews/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesPath parameter.

Example request

curl -X DELETE \
"https://api.usemonoid.com/api/v1/reviews/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401, 403, 404, 500.

Response body type